# Main config
default:
  # Be carefull the order of these configuration keys should not be modified.
  # More more informations about these parameters check the TCPDF documentation

  # Disable default TCPDF default config
  K_TCPDF_EXTERNAL_CONFIG: true
  
  # Auto-detected parameters (leave empty for auto-detection) ##################
  # Installation path (/var/www/tcpdf/) 
  K_PATH_MAIN: 
  K_PATH_URL: 
  K_PATH_FONTS: 
  K_PATH_CACHE: 
  K_PATH_URL_CACHE: 
  K_PATH_IMAGES: 
  K_BLANK_IMAGE:

  # Other parameters  ##########################################################
  # page format
  PDF_PAGE_FORMAT: "LEGAL"
  # page orientation (P=portrait, L=landscape)
  PDF_PAGE_ORIENTATION: "P"
  # document creator
  PDF_CREATOR: "Brazilian Direct"
  # document author
  PDF_AUTHOR: "Brazilian Direct"
  # header title
  PDF_HEADER_TITLE: "Brazilian Direct"
  # header description string
  PDF_HEADER_STRING: "Brazilian Direct"
  # image logo
  PDF_HEADER_LOGO: ""
  # header logo image width [mm]
  PDF_HEADER_LOGO_WIDTH: 30
  # document unit of measure [pt=point, mm=millimeter, cm=centimeter, in=inch]
  PDF_UNIT: "mm"
  # header margin
  PDF_MARGIN_HEADER: "5"
  # footer margin
  PDF_MARGIN_FOOTER: "10"
  # top margin
  PDF_MARGIN_TOP: "27"
  # bottom margin
  PDF_MARGIN_BOTTOM: "25"
  # left margin
  PDF_MARGIN_LEFT: "15"
  # right margin
  PDF_MARGIN_RIGHT: "15"
  # default main font name
  PDF_FONT_NAME_MAIN: "helvetica"
  # default main font size
  PDF_FONT_SIZE_MAIN: "10"
  # default data font name
  PDF_FONT_NAME_DATA: "helvetica"
  # default data font size
  PDF_FONT_SIZE_DATA: "8"
  # default monospaced font name
  PDF_FONT_MONOSPACED: "courier"
  # Ratio used to scale the images
  PDF_IMAGE_SCALE_RATIO: "4"
  # magnification factor for titles
  HEAD_MAGNIFICATION: "1.1"
  # height of cell repect font height
  K_CELL_HEIGHT_RATIO: "1.25"
  # title magnification respect main font size
  K_TITLE_MAGNIFICATION: "1.3"
  # reduction factor for small font
  K_SMALL_RATIO: "2/3"

# Specific configs (copy this file in your application config directory to ovveride it)
## TODO: Need to update this for production
my_config:
  K_TCPDF_EXTERNAL_CONFIG: true
  K_PATH_MAIN: /Users/brian/Sites/bhd_restructure/bdcrm/code/lib/vendor/tcpdf/
  K_PATH_URL: http://dev.my-symfony-project/ 
  K_PATH_FONTS: /Users/brian/Sites/bhd_restructure/bdcrm/code/lib/vendor/tcpdf/fonts
  K_PATH_CACHE: /Users/brian/Sites/bhd_restructure/bdcrm/code/lib/vendor/tcpdf/cache
  K_PATH_URL_CACHE: http://dev.my-symfony-project/cache
  K_PATH_IMAGES: /Users/brian/Sites/bhd_restructure/bdcrm/code/lib/vendor/tcpdf/images
  K_BLANK_IMAGE: /Users/brian/Sites/bhd_restructure/bdcrm/code/lib/vendor/tcpdf/images/_blank.png

  # ... copy paste from defaulf config.